<?php
/*
 * Tento soubor obsahuje veskere funkce, ktere budou manipulovat s daty.
 * Data mohou byt v budoucnu nactena z databaze, prozatim budou ale ctena z pripravenych datovych struktur.
 */

// definice pole. Je to v tomto prikladu globalni promenna. Bezne bychom ji nepotrebovali,
// data by se nacitala z databaze.
$students = array(
    ["id" => "id1", "jmeno" => "František", "prijmeni" => "Novák", "ulice" => "Slezská", "cislo" => 33, "zenaty" => false],
    ["id" => "id2", "jmeno" => "Věra", "prijmeni" => "Novotná", "ulice" => "Hrabovského", "cislo" => 12, "zenaty" => false],
    ["id" => "id3", "jmeno" => "Jaroslav", "prijmeni" => "Vomáčka", "ulice" => "Pod Šancemi", "cislo" => 102, "zenaty" => true],
);

/**
 * @return array Vraci data vsech studentu.
 */
function getAllStudents() {
    // pouzijeme globalni promennou $students
    // pouzivat globalni data neni dobra praktika, v praxi to nebudeme potrebovat,
    // protoze data nacteme ad-hoc z databaze
    global $students; //fuj fuj

    return $students;
}

/**
 * @param $id ID studenta, ktereho hledame.
 * @return array Vraci data studenta se zadanym ID, pokud neexistuje, vraci null;
 */
function getStudentById($id) {
    $student = getStudentsByAttribute("id", $id);
    if (sizeof($student) == 0) {
        return null;
    } else {

        $x = $student[0];
        return $student[0];
    }
}

function getStudentsByAttribute($attributeName, $attributeValue) {
    global $students; // fuj fuj

    $to_return = array();
    foreach ($students as $index => $student_data) {

        if (isset($student_data[$attributeName]) && $student_data[$attributeName] == $attributeValue) {
            $to_return[] = $student_data;
        }
    }
    return $to_return;
}

function insertOrUpdateStudent($id, $firstName, $lastName, $address, $nr, $married) {
    // udela neco se studentem...
}